using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Search_Solely : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (!IsPostBack)
        {
            if (Base.GetRequest.GetQueryStringValue("url") == "")
            {
                HttpContext.Current.Response.Write("<script>alert(\"您请求的页面不存在\");history.go(-1);</script>");
                return;
            }
            //if (!Base.BasePage.CheckFile(Base.GetRequest.GetQueryStringValue("ulr")))
            //{
            //    HttpContext.Current.Response.Write("<script>alert(\"您请求的页面不存在\");history.go(-1);</script>");
            //    return;
            //}
            Bind(Base.GetRequest.GetQueryStringValue("url"));
        }
    }

    private void Bind(string strUrl)
    {
        try
        {
            string str = Base.XMLProcess.Read("xml/Template.xml", "/template/other/mode[@name='" + strUrl + "']", "url");
            string Path = AppDomain.CurrentDomain.BaseDirectory.ToString()+str;
            nspLable.Function.Systems.Tempinc tm =new nspLable.Function.Systems.Tempinc("solely");
            string WSbody = tm.GetTemplate(Path);
            Response.Write(WSbody);
        }
        catch (Exception ex)
        {
            Response.Redirect("~/Error.aspx");
        }
    }
}
